> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Delete an instance group

DELETE https://example.itential.io/lifecycle-manager/resources/{modelIdentifier}/groups/{groupIdentifier}

Deletes an instance group.

Reference: https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/delete-instance-group-http

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `modelIdentifier` (string or string, required) — modelIdentifier
- `groupIdentifier` (string or string, required) — groupIdentifier

## Response

### 200

response

- `object or object`
  - object
    - `message` (string, required) — A human-readable message summarizing the result of the operation
    - `data` (any, required) — Any successfully retrieved information related to the request.
    - `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.
  - object
    - `message` (string, required) — A human-readable message summarizing the result of the operation
    - `data` (any, required) — Any successfully retrieved information related to the request. For error responses, this is always 'null'.
    - `metadata` (object, required) — Any structured, wordy or machine-readable information related to the result of the operation. For error responses, this will always at least contain an 'errors' array, even if it is empty.
      - `errors` (list of any, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "data": null,
  "message": "Successfully created the requested item",
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups/myCoolDocumentName")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```